###
# Roxie example documentation

This is a module-level docstring, and will be displayed at the top of the module documentation.
@module {MyClass}
@extends {Superclass}
###

class MyClass extends Superclass
  ###
  This docstring documents MyClass. It can include *Markdown* syntax,
  which will be converted to html.
  ###
  constructor: (@args) ->
    ### Constructor documentation goes here. ###

  # As you can see, it supports single line comments
  # as well!
  method: (args) ->
    ### Print out a sample string
    and then return ###
    console.log "Hello world!"

myFunc = (arg1, arg2, args...) ->
  ###
  This function will be documented as well
  ###
  doSomething() # This line should not be documented
